<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpCore 4.2.3: org.apache.http.impl.io.testBasicMessageParsing');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:34:57 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestRequestParser.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestRequestParser_testBasicMessageParsing_3b.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../org/apache/http/impl/io/TestRequestParser.html?line=90#src-90" >testBasicMessageParsing</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        28 Nov 22:34:54
    </td>
    <td class="graphPercent alignTop">
        0.0010    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testBasicMessageParsing</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.io.DefaultHttpRequestParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/io/DefaultHttpRequestParser.html?id=119#DefaultHttpRequestParser"             title="DefaultHttpRequestParser" name="sl-59">org.apache.http.impl.io.DefaultHttpRequestParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7777778</span>
            77.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="22.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="77.8% Covered" class="barPositive contribBarPositive" style="width: 77.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.protocol.HTTP</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/protocol/HTTP.html?id=119#HTTP"             title="HTTP" name="sl-39">org.apache.http.protocol.HTTP</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6666667</span>
            66.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="33.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="66.7% Covered" class="barPositive contribBarPositive" style="width: 66.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.BasicRequestLine</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/message/BasicRequestLine.html?id=119#BasicRequestLine"             title="BasicRequestLine" name="sl-42">org.apache.http.message.BasicRequestLine</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6296296</span>
            63%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="37% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63% Covered" class="barPositive contribBarPositive" style="width: 63%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.io.AbstractMessageParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/io/AbstractMessageParser.html?id=119#AbstractMessageParser"             title="AbstractMessageParser" name="sl-62">org.apache.http.impl.io.AbstractMessageParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5769231</span>
            57.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="42.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="57.7% Covered" class="barPositive contribBarPositive" style="width: 57.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.ParserCursor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/message/ParserCursor.html?id=119#ParserCursor"             title="ParserCursor" name="sl-42">org.apache.http.message.ParserCursor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5121951</span>
            51.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="48.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="51.2% Covered" class="barPositive contribBarPositive" style="width: 51.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.io.AbstractSessionInputBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/io/AbstractSessionInputBuffer.html?id=119#AbstractSessionInputBuffer"             title="AbstractSessionInputBuffer" name="sl-70">org.apache.http.impl.io.AbstractSessionInputBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.45967743</span>
            46%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="54% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="46% Covered" class="barPositive contribBarPositive" style="width: 46%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.io.HttpTransportMetricsImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/io/HttpTransportMetricsImpl.html?id=119#HttpTransportMetricsImpl"             title="HttpTransportMetricsImpl" name="sl-39">org.apache.http.impl.io.HttpTransportMetricsImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4</span>
            40%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40% Covered" class="barPositive contribBarPositive" style="width: 40%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.BufferedHeader</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/message/BufferedHeader.html?id=119#BufferedHeader"             title="BufferedHeader" name="sl-45">org.apache.http.message.BufferedHeader</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.37142858</span>
            37.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="62.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="37.1% Covered" class="barPositive contribBarPositive" style="width: 37.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.DefaultHttpRequestFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/DefaultHttpRequestFactory.html?id=119#DefaultHttpRequestFactory"             title="DefaultHttpRequestFactory" name="sl-44">org.apache.http.impl.DefaultHttpRequestFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3409091</span>
            34.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="65.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="34.1% Covered" class="barPositive contribBarPositive" style="width: 34.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.util.CharArrayBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/util/CharArrayBuffer.html?id=119#CharArrayBuffer"             title="CharArrayBuffer" name="sl-41">org.apache.http.util.CharArrayBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.34065935</span>
            34.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="65.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="34.1% Covered" class="barPositive contribBarPositive" style="width: 34.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.BasicLineParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/message/BasicLineParser.html?id=119#BasicLineParser"             title="BasicLineParser" name="sl-59">org.apache.http.message.BasicLineParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3253012</span>
            32.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="67.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="32.5% Covered" class="barPositive contribBarPositive" style="width: 32.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.BasicHttpRequest</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/message/BasicHttpRequest.html?id=119#BasicHttpRequest"             title="BasicHttpRequest" name="sl-48">org.apache.http.message.BasicHttpRequest</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.31428573</span>
            31.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="68.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="31.4% Covered" class="barPositive contribBarPositive" style="width: 31.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.util.ByteArrayBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/util/ByteArrayBuffer.html?id=119#ByteArrayBuffer"             title="ByteArrayBuffer" name="sl-40">org.apache.http.util.ByteArrayBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.25581396</span>
            25.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="74.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="25.6% Covered" class="barPositive contribBarPositive" style="width: 25.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.params.HttpProtocolParams</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/params/HttpProtocolParams.html?id=119#HttpProtocolParams"             title="HttpProtocolParams" name="sl-43">org.apache.http.params.HttpProtocolParams</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.1981982</span>
            19.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="80.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="19.8% Covered" class="barPositive contribBarPositive" style="width: 19.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.HttpVersion</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/HttpVersion.html?id=119#HttpVersion"             title="HttpVersion" name="sl-48">org.apache.http.HttpVersion</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.17391305</span>
            17.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="82.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="17.4% Covered" class="barPositive contribBarPositive" style="width: 17.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.AbstractHttpMessage</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/message/AbstractHttpMessage.html?id=119#AbstractHttpMessage"             title="AbstractHttpMessage" name="sl-43">org.apache.http.message.AbstractHttpMessage</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.15384616</span>
            15.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="84.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="15.4% Covered" class="barPositive contribBarPositive" style="width: 15.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.params.AbstractHttpParams</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/params/AbstractHttpParams.html?id=119#AbstractHttpParams"             title="AbstractHttpParams" name="sl-42">org.apache.http.params.AbstractHttpParams</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.14</span>
            14%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="86% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="14% Covered" class="barPositive contribBarPositive" style="width: 14%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.HeaderGroup</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/message/HeaderGroup.html?id=119#HeaderGroup"             title="HeaderGroup" name="sl-49">org.apache.http.message.HeaderGroup</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.12280702</span>
            12.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="87.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="12.3% Covered" class="barPositive contribBarPositive" style="width: 12.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.params.BasicHttpParams</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/params/BasicHttpParams.html?id=119#BasicHttpParams"             title="BasicHttpParams" name="sl-49">org.apache.http.params.BasicHttpParams</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.08888889</span>
            8.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="91.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="8.9% Covered" class="barPositive contribBarPositive" style="width: 8.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.ProtocolVersion</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/ProtocolVersion.html?id=119#ProtocolVersion"             title="ProtocolVersion" name="sl-47">org.apache.http.ProtocolVersion</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.083333336</span>
            8.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="91.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="8.3% Covered" class="barPositive contribBarPositive" style="width: 8.3%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:35:16 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
